findings
Update the finding by ID
Update the finding by ID
PUT
/
api
/
governance
/
v1
/
findings
/
{id}
Update the finding by ID
curl --request PUT \
--url https://mycluster.domino.tech/api/governance/v1/findings/{id} \
--header 'Content-Type: application/json' \
--data '
{
"artifactId": "<string>",
"description": "<string>",
"dueDate": "<string>",
"evidenceId": "<string>",
"name": "<string>",
"required": true
}
'import requests
url = "https://mycluster.domino.tech/api/governance/v1/findings/{id}"
payload = {
"artifactId": "<string>",
"description": "<string>",
"dueDate": "<string>",
"evidenceId": "<string>",
"name": "<string>",
"required": True
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
artifactId: '<string>',
description: '<string>',
dueDate: '<string>',
evidenceId: '<string>',
name: '<string>',
required: true
})
};
fetch('https://mycluster.domino.tech/api/governance/v1/findings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"approvalId": "<string>",
"approvalName": "<string>",
"approver": {
"id": "<string>",
"name": "<string>"
},
"artifactId": "<string>",
"artifactLabel": "<string>",
"assignee": {
"id": "<string>",
"name": "<string>"
},
"bundleId": "<string>",
"createdAt": "<string>",
"createdBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"description": "<string>",
"dueDate": "<string>",
"evidenceId": "<string>",
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"required": true,
"severity": "S0",
"status": "ToDo",
"taskId": "<string>",
"updatedAt": "<string>",
"updatedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
}
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}Path Parameters
ID of finding to update
Body
application/json
Finding to update
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
S0, S1, S2, S3 Available options:
ToDo, InProgress, InReview, Done, WontDo Show child attributes
Show child attributes
Last modified on August 18, 2026
Related topics
Bulk update finding severity or due dateGet finding by IDUpdate bundle by IDUpdate approval by IDWas this page helpful?
⌘I
Update the finding by ID
